import moment from 'moment';

export var isDateValid = function isDateValid() {
    var value = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';

    if (!value || typeof value !== 'string') {
        return false;
    }

    return moment(value, [moment.ISO_8601, 'L'], 'pt-br', true).isValid();
};

export var toDateString = function toDateString() {
    var value = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
    return moment(value).format('L');
};

export var formatDateStringToISO = function formatDateStringToISO() {
    var value = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
    return moment(value, 'L', 'pt-br').toISOString();
};